| AOMedia AV1 Codec

Data Fields
macroblock_plane Struct Reference

Each source plane of the current macroblock. More...

`#include <block.h>`

## Data Fields
int16_t * | src_diff
| Stores source - pred so the txfm can be computed later.
tran_low_t * | dqcoeff
| Dequantized coefficients.
tran_low_t * | qcoeff
| Quantized coefficients.
tran_low_t * | coeff
| Transformed coefficients.
uint16_t * | eobs
| Location of the end of qcoeff (end of block).
uint8_t * | txb_entropy_ctx
| Contexts used to code the transform coefficients.
struct buf_2d | src
| A buffer containing the source frame.
Quantizer Settings
Attention These are used/accessed only in the quantization process. RDO does not and must not depend on any of these values. All values below share the coefficient scale/shift used in TX.
const int16_t * | quant_fp_QTX
| Quantization step size used by AV1_XFORM_QUANT_FP.
const int16_t * | round_fp_QTX
| Offset used for rounding in the quantizer process by AV1_XFORM_QUANT_FP.
const int16_t * | quant_QTX
| Quantization step size used by AV1_XFORM_QUANT_B.
const int16_t * | round_QTX
| Offset used for rounding in the quantizer process by AV1_XFORM_QUANT_B.
const int16_t * | quant_shift_QTX
| Scale factor to shift coefficients toward zero. Only used by QUANT_B.
const int16_t * | zbin_QTX
| Size of the quantization bin around 0. Only Used by QUANT_B.
const int16_t * | dequant_QTX
| Dequantizer.

## Detailed Description

Each source plane of the current macroblock.

This struct also stores the txfm buffers and quantizer settings.

The documentation for this struct was generated from the following file:

- av1/encoder/block.h